## python-pykka 3.1.1

=== docs/requirements.txt ===
Sphinx >= 3.5.2
sphinx_rtd_theme >= 0.5.1
toml >= 0.10.2

## python-pykka 1.2.0

=== debian/changelog ===
python-pykka (1.2.0-1) unstable; urgency=low

  * In preinst, only remove symlinks if the files exists and are symlinks.
  * Include part of the Apache 2 license in debian/copyright.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 20 Jul 2013 22:06:33 +0200

python-pykka (1.2.0-0mopidy2) unstable; urgency=low

  * Convert to dh_python2.
  * Merge main and documentation package.
  * Bump debhelper compat level to 8.
  * Build package for Python 3 too.
  * Update copyright file format, refer to common-licenses.
  * Use dh_sphinxdoc to build docs.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 18 Jul 2013 23:40:14 +0200

python-pykka (1.2.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Add python-eventlet to Suggests.
  * Bump Standards-Version to 3.9.4.
  * Update Homepage and Vcs-Browser URLs.
  * Update copyright years.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 15 Jul 2013 04:05:01 +0200

python-pykka (1.1.0-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 19 Jan 2013 10:48:42 +0100

python-pykka (1.0.1-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 13 Dec 2012 00:44:16 +0100

python-pykka (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 26 Oct 2012 22:11:42 +0200

python-pykka (0.16-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 19 Sep 2012 02:44:22 +0200

python-pykka (0.15-3) unstable; urgency=low

  * Revert to python-support to make package work on Debian Squeeze.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 19 Aug 2012 10:09:20 +0200

python-pykka (0.15-2) unstable; urgency=low

  * Split out docs to its own package, python-pykka-doc.
  * Don't bundle jQuery and Underscore.js.
  * Register docs with doc-base.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 19 Aug 2012 00:58:51 +0200

python-pykka (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 11 Aug 2012 03:21:39 +0200

python-pykka (0.14-2oneiric1) oneiric; urgency=low

  * Rebuild for oneiric, to get Python 2.6 support.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 08 May 2012 00:00:37 +0200

python-pykka (0.14-2) unstable; urgency=low

  * Install docs/changes.rst as changelog.
  * Build HTML docs and install them instead of the reST files.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 22 Apr 2012 21:39:44 +0200

python-pykka (0.14-1) unstable; urgency=low

  * New upstream release.
  * Update copyright year ranges to include 2012.
  * Convert to DEP5 formatted debian/copyright.
  * Bump Standards-Version to 3.9.3.
  * Convert from deprecated python-support to dh_python2.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 22 Apr 2012 21:18:06 +0200

python-pykka (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 24 Sep 2011 19:45:54 +0200

python-pykka (0.12.4-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 30 Jul 2011 03:54:33 +0200

python-pykka (0.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 26 Jun 2011 00:13:59 +0300

python-pykka (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 05 May 2011 23:44:02 +0200

python-pykka (0.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 26 Apr 2011 23:58:17 +0200

python-pykka (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 30 Mar 2011 23:33:17 +0200

python-pykka (0.11.1-1) maverick; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 20 Mar 2011 23:58:20 +0100

python-pykka (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 19 Mar 2011 23:48:46 +0100

python-pykka (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 08 Mar 2011 23:16:38 +0100

python-pykka (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Remove Build-Depends on python-all-dev.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 23:01:52 +0100

python-pykka (0.9-2) unstable; urgency=low

  * Change architecture from 'any' to 'all'.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 02:01:51 +0100

python-pykka (0.9-1) unstable; urgency=low

  * Initial release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 01:42:35 +0100

=== debian/control ===
Source: python-pykka
Section: python
Priority: extra
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends:
    debhelper (>= 8.0.0),
    python-all (>= 2.6.6-3~),
    python3-all,
    python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Standards-Version: 3.9.4
Homepage: http://www.pykka.org/
Vcs-Git: git://github.com/jodal/pykka.git
Vcs-Browser: https://github.com/jodal/pykka
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pykka
Architecture: all
Depends:
    ${python:Depends},
    ${sphinxdoc:Depends},
    ${misc:Depends}
Conflicts: python-pykka-doc
Replaces: python-pykka-doc
Suggests:
    python-gevent |
    python-eventlet
Description: Actor model library for Python (Python 2)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 2 version of the package.

Package: python3-pykka
Architecture: all
Depends:
    ${python3:Depends},
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: Actor model library for Python (Python 3)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3,sphinxdoc

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	# Want to make testsuite run without nosetests, maybe with 'setup.py
	# test' before enabling tests as part of the build.
	#python$* setup.py test -vv

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs docs/changes.rst

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean
	rm -rf build
	rm -rf dist
	rm -rf MANIFEST
	rm -rf *.egg-info

=== debian/watch ===
version=3
http://pypi.python.org/pypi/Pykka .*/Pykka-(.*)\.tar\.gz.*

## python-pykka 1.2.1

=== debian/changelog ===
python-pykka (1.2.1-2) unstable; urgency=medium

  * Migrate to git-dpm, remove gbp config
  * debian/clean
    - Move .egg-info from d/rules
  * debian/control
    - Update my email address
    - Set DPMT as uploader
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Build-Depend on debhelper 9
    - Build-Depend on dh-python
    - Build-Depend on python3-sphinx so we can build docs under Python 3
    - Build-Depend on python{,3}-nose and python{,3}-mock to run tests
    - wrap-and-sort
    - Include python3-gevent and python3-eventlet in Suggests for py3 package
  * debian/copyright
    - Update my email address
    - Update copyright years
  * debian/rules
    - Migrate to pybuild
  * debian/watch
    - Update to use pypi.debian.net

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 07 Nov 2015 21:16:05 +0100

python-pykka (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Add Build-Depends on python[3]-setuptools.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 29 Jul 2015 21:46:22 +0200

python-pykka (1.2.0-2) unstable; urgency=medium

  * Change Priority from extra to optional. Lots of packages with Priority
    optional is depending on this package.
  * Bump Standards-Version to 3.9.5.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 25 May 2014 20:14:24 +0200

=== debian/control ===
Source: python-pykka
Section: python
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-mock,
               python-nose,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 3.9.6
Homepage: http://www.pykka.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pykka.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pykka.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Conflicts: python-pykka-doc,
Replaces: python-pykka-doc,
Suggests: python-gevent | python-eventlet,
Description: Actor model library for Python (Python 2)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 2 version of the package.

Package: python3-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-gevent | python3-eventlet,
Description: Actor model library for Python (Python 3)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pykka
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changes.rst

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean

## python-pykka 2.0.0

=== debian/changelog ===
python-pykka (2.0.0-2) unstable; urgency=medium

  * Remove pykka._compat.await_py3 from Python 2 package

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 20 Jul 2019 02:59:05 +0200

python-pykka (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Stein Magnus Jodal ]
  * Refresh patches after git-dpm to gbp pq conversion
  * d/control: Bump Standards-Version to 4.4.0, no changes required
  * New upstream release
  * Remove custom clean rules
  * Test with pytest
  * Add explicit dependency on sphinx-rtd-theme

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 18 Jul 2019 23:00:47 +0200

python-pykka (1.2.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Stein Magnus Jodal ]
  * debian/control
    - Require debhelper 10
    - Remove version range on python-all
    - Bump Standards-Version to 4.1.4, no changes required
    - Use HTTPS for Homepage
  * debian/copyright
    - Update copyright years
  * debian/*.doc-base
    - Update path to plain text docs index
  * debian/patches
    - Add patch to remove remote images from README

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 01 May 2018 22:38:04 +0200

python-pykka (1.2.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Stein Magnus Jodal ]
  * debian/control
    - Bump Standards-Version to 3.9.8. No changes required
    - Fix spelling-error-in-description-synopsis lintian warning due to
      duplicate words
    - Add Build-Depend-Indep on python-doc
  * debian/copyright
    - Update copyright years
  * debian/patches
    - Add patch to make intersphinx use object.inv from python-doc
      (Closes: #833352)

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 07 Aug 2016 22:53:41 +0200

=== debian/control ===
Source: python-pykka
Section: python
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-eventlet,
               python-gevent,
               python-pytest,
               python-pytest-mock,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python3-all,
               python3-eventlet,
               python3-gevent,
               python3-pytest,
               python3-pytest-mock,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Build-Depends-Indep: python-doc,
Standards-Version: 4.4.0
Homepage: https://www.pykka.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pykka.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pykka

Package: python-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Conflicts: python-pykka-doc,
Replaces: python-pykka-doc,
Suggests: python-gevent | python-eventlet,
Description: Actor model library (Python 2)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 2 version of the package.

Package: python3-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-gevent | python3-eventlet,
Description: Actor model library (Python 3)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=pykka
-export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_TEST_NOSE=1
+
+# Skip tests that requires pytest-mock >= 1.8.0.
+export PYBUILD_TEST_ARGS=-k "not noncallable_mock"
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

## python-pykka 2.0.2

=== debian/changelog ===
python-pykka (2.0.2-6) unstable; urgency=medium

  * Drop b-d-i on python-doc; Closes: #955636

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 21:59:01 -0400

python-pykka (2.0.2-5) unstable; urgency=medium

  * Install a pydist file

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 02 Apr 2020 23:54:46 +0200

python-pykka (2.0.2-4) unstable; urgency=medium

  * Remove Python 2 package (Closes: #938070)
  * Bump debhelper from 10 to 12
  * d/copyright: Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 27 Dec 2019 21:40:25 +0100

python-pykka (2.0.2-3) unstable; urgency=medium

  * Disable testing on Python 3.8, as a newer gevent is required for that.

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 02:42:54 +0100

python-pykka (2.0.2-2) unstable; urgency=medium

  * Disable testing on Python 2, which will soon be removed from the package.
  * Clean .pytest_cache/

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 24 Dec 2019 17:58:52 +0100

python-pykka (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Stein Magnus Jodal ]
  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 24 Dec 2019 13:23:39 +0100

python-pykka (2.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 03 Oct 2019 09:41:20 +0200

=== debian/control ===
Source: python-pykka
Section: python
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-eventlet,
               python3-gevent,
               python3-pytest,
               python3-pytest-mock,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Homepage: https://www.pykka.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pykka.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pykka

Package: python3-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-gevent | python3-eventlet,
Description: Actor model library (Python 3)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.
 .
 Pykka provides an actor API with multiple implementations: threading, gevent,
 and Eventlet.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 export PYBUILD_NAME=pykka
 
+# Skip tests on Python 3.8, as gevent 1.5 is required for proper 3.8 support.
+export PYBUILD_DISABLE_python3.8=test
+
 # Skip tests that requires pytest-mock >= 1.8.0.
 export PYBUILD_TEST_ARGS=-k "not noncallable_mock"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changes.rst
@@ -20,4 +23,5 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf .pytest_cache/
 	make -C docs/ clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Pykka/Pykka-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pykka 2.0.3

=== debian/changelog ===
python-pykka (2.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stein Magnus Jodal ]
  * New upstream release
  * d/control: Remove eventlet and gevent from Suggests, as Pykka's support
    for those are deprecated. (Closes: #973138)
  * d/control: Bump Standards-Version to 4.5.0
  * d/rules: Enable tests on Python 3.8
  * d/control: Add python3-doc as Build-Depends

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 27 Nov 2020 15:26:40 +0100

=== debian/control ===
Source: python-pykka
Section: python
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
	       python3-doc,
               python3-pytest,
               python3-pytest-mock,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.5.0
Homepage: https://www.pykka.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pykka.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pykka

Package: python3-pykka
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: Actor model library (Python 3)
 Pykka is a Python implementation of the actor model. The actor model
 introduces some simple rules to control the sharing of state and cooperation
 between execution units, which makes it easier to build concurrent
 applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pykka

# Skip tests that requires pytest-mock >= 1.8.0.
export PYBUILD_TEST_ARGS=-k "not noncallable_mock"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changes.rst

override_dh_installdocs:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	  python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache/

## python-pykka 3.1.1

=== debian/changelog ===
python-pykka (3.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Stein Magnus Jodal ]
  * New upstream release
  * d/patches: Refresh patches
  * d/control: Add B-D on pybuild-plugin-pyproject and python3-poetry-core
  * d/control: Update Homepage
  * d/changelog: Update copyright years
  * d/python3-pykka.docs: Update README file name
  * d/rules: Changelog is no longer shipped as part of the distribution
  * d/rules: Remove skip of tests requiring newer pytest-mock

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 01 Jan 2023 23:29:05 +0100

python-pykka (2.0.3-3) unstable; urgency=medium

  * debian/patches/pytest7.patch
    - fix compatibility with pytest 7; Closes: #1013708

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jul 2022 22:16:58 -0400

python-pykka (2.0.3-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Stein Magnus Jodal ]
  * d/watch: Update file pattern
  * d/copyright: Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 30 Aug 2021 22:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
-	       python3-doc,
+               python3-doc,
+               python3-poetry-core,
                python3-pytest,
                python3-pytest-mock,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
-Homepage: https://www.pykka.org/
+Standards-Version: 4.6.1
+Homepage: https://pykka.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pykka.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pykka

## python-pykka 4.0.1

=== debian/changelog ===
python-pykka (4.0.1-1) unstable; urgency=medium

  * New upstream release supporting Python 3.12 (Closes: #1058413)
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 17 Dec 2023 09:30:05 +0100

python-pykka (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh patches

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 17 Sep 2023 19:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pykka.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pykka.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pykka

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,8 @@
 
 export PYBUILD_NAME=pykka
 
-# Skip tests that requires pytest-mock >= 1.8.0.
-export PYBUILD_TEST_ARGS=-k "not noncallable_mock"
-
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_installchangelogs:
-	dh_installchangelogs docs/changes.rst
 
 override_dh_installdocs:
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \

## python-pykka 4.0.2

=== debian/changelog ===
python-pykka (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 06 Jul 2024 23:00:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-pykka
 Section: python
 Priority: optional
-Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Stein Magnus Jodal <jodal@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,

## python-pykka 4.1.1

=== debian/changelog ===
python-pykka (4.1.1-3) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-toml. Closes: #1106443.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 May 2025 00:40:00 +0200

python-pykka (4.1.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Feb 2025 12:36:15 -0500

python-pykka (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add python3-pydantic as a build dep
  * d/control: Bump Standards-Version to 4.7.0, no changes needed.

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 07 Feb 2025 22:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
                python3-all,
                python3-doc,
                python3-poetry-core,
+               python3-pydantic,
                python3-pytest,
                python3-pytest-mock,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+               python3-toml,
+Standards-Version: 4.7.2
 Homepage: https://pykka.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pykka.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pykka

## python-pykka 4.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER	 =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man	to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pykka.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pykka.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pykka"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pykka"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pykka (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-tomli
  * Enable Testsuite: autopkgtest-pkg-pybuild

 -- Alexandre Detiste <tchet@debian.org>  Tue, 19 Aug 2025 07:07:32 +0200

python-pykka (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, replace python3-toml dependency
    with newer python3-tomli.
  * Replace Poetry build with Hatchling

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Aug 2025 22:06:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,21 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stein Magnus Jodal <jodal@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-doc,
-               python3-poetry-core,
+               python3-hatchling,
                python3-pydantic,
                python3-pytest,
                python3-pytest-mock,
-               python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-toml,
 Standards-Version: 4.7.2
 Homepage: https://pykka.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pykka.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pykka
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pykka
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pykka

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_installdocs:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	  python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/

execute_after_dh_auto_clean:
	rm -rf .pytest_cache/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pykka/pykka-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
